Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations.commons
Class WebService

    java.lang.Object
      org.codehaus.xfire.annotations.WebServiceAnnotation
          org.codehaus.xfire.annotations.commons.WebService

    public class WebService

extends WebServiceAnnotation

Commons Attributes version of the WebService Annotation.

Author:
  Arjen Poutsma
See Also:
  `WebServiceAnnotation`

Constructor Summary
`WebService()` Initializes a new instance of the `WebService` attribute.
`WebService(java.lang.String name)` Initializes a new instance of the `WebService` attribute with the specified name.
`WebService(java.lang.String name, java.lang.String targetNamespace)` Initializes a new instance of the `WebParam` attribute with the specified name and namespace.
`WebService(java.lang.String name, java.lang.String targetNamespace, java.lang.String endpointInterface, java.lang.String serviceName)`

Method Summary

Methods inherited from class org.codehaus.xfire.annotations.WebServiceAnnotation
`getEndpointInterface, getName, getServiceName, getTargetNamespace, setEndpointInterface, setName, setServiceName, setTargetNamespace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebService

    public WebService()

  Initializes a new instance of the `WebService` attribute.

### WebService

    public WebService(java.lang.String name)

  Initializes a new instance of the `WebService` attribute with the specified name.

  Parameters:
    `name` - the name of the Web Service.

### WebService

    public WebService(java.lang.String name,
                      java.lang.String targetNamespace)

  Initializes a new instance of the `WebParam` attribute with the specified name and namespace.

  Parameters:
    `name` - the name.
    `targetNamespace` - the target namespace.

### WebService

    public WebService(java.lang.String name,
                      java.lang.String targetNamespace,
                      java.lang.String endpointInterface,
                      java.lang.String serviceName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.